<?php
// Example Stripe Form
// ===================
// 
// You can either use this form directly using:-
// 
//     echo $this->element('EvStripe.payment_form');
//     
// Or, use it as a guide to including the relevant form fields. The important thing to note is that
// the input names need excluding so that the card details are not submitted to the server; Stripe 
// handles these! Also note that the inputs each have a `data-stripe` attribute that is used by 
// Stripe's JavaScript to determine which field is which.
?>

<div class="js-stripe-payment-errors"></div>

<?php

	echo $this->Form->input('Payment.card_number', [
		'class' => 'form-control required',
		'div' => 'form-group required',
		'name' => false,
		'data-stripe' => 'number'
	]);

	echo $this->Form->input('Payment.security_number', [
		'class' => 'form-control required small',
		'div' => 'form-group required',
		'name' => false,
		'data-stripe' => 'cvc'
	]);

?>

<div class="form-group required">
	<?php
		echo $this->Form->input('Payment.expiry_date', [
			'class' => 'form-control required small',
			'wrapInput' => 'col-xs-4 col-md-2',
			'div' => false,
			'placeholder' => 'MM',
			'maxlength' => '2',
			'label' => [
				'class' => 'col-xs-12 col-md-5',
			],
			'name' => false,
			'data-stripe' => 'exp_month'
		]);

		echo $this->Form->input('Payment.expiry_date_year', [
			'class' => 'form-control required small',
			'wrapInput' => 'col-md-2 col-xs-4 gutterless',
			'div' => false,
			'placeholder' => 'YY',
			'maxlength' => '2',
			'label' => [
				'class' => 'sr-only',
			],
			'name' => false,
			'data-stripe' => 'exp_year'
		]);
	?>
</div>

<?= $this->Form->input('Payment.postcode', ['class' => 'form-control small', 'name' => false, 'data-stripe' => 'address_zip']) ?>
